Bug 95 - desktop-files documented poorly
: desktop-files documented poorly
Status: RESOLVED FIXED
Product: Developer Guide
maemo.org wiki
: unspecified
: All Linux
: High enhancement (vote)
: 4.1+
Assigned To: Dave Neary
: documentation@maemo.org
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-18 00:48 UTC by Aleksandr Koltsoff
Modified: 2010-05-17 16:39 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Aleksandr Koltsoff 2005-09-18 00:48:10 UTC
Need proper documentation on desktop files and _all_ the fields that are used 
and supported in maemo. For example maemopad uses extra fields as does the 
control panel applet, but these are not documented. 
 
A separate document on this would be nice, and no, it is not enough to refer to 
the f.do-document since you are using extra fields and also some fields work 
differently from the f.do-spec (exec is one).
Comment 1 Ferenc Szekely maemo.org 2005-10-06 00:26:07 UTC
reassigning...
Comment 2 Ferenc Szekely maemo.org 2006-01-12 15:10:45 UTC
changing target
Comment 3 Maemo QA (deprecated) 2006-04-18 12:44:15 UTC
Changing target milestone and assigning
Comment 4 Jake Kunnari 2007-01-03 14:20:50 UTC
reassigned to JP
Comment 5 Jake Kunnari 2007-03-13 14:40:36 UTC
JP to check is still valid
Comment 6 Jake Kunnari 2007-04-10 14:14:27 UTC
Re-assigned to Mika
Comment 7 Mika Luostarinen nokia 2007-04-10 14:51:06 UTC
Re-assigned: TeemuH to verify the widget code examples.
Comment 8 Teemu Hukkanen nokia 2007-05-07 10:43:15 UTC
.
Comment 9 Quim Gil nokia 2007-10-12 07:19:06 UTC
Out of curiosity: what is the status of this bug? Is the oldest one in the
website product (#95, not bad). 

If we have plans to do something, please notify, If we don't, please notify and
we will close this bug. Thanks!
Comment 10 Teemu Hukkanen nokia 2007-10-16 14:48:08 UTC
Having widget code examples isn't enough to document the extra features in
desktop-files.
Comment 11 Quim Gil nokia 2007-10-17 08:04:44 UTC
Alright, are you planning to provide more examples? Otherwise please reassign
accordingly or share this with JuhaT to decide what to do.

I'm chasing very old bugs giving them higher priority so we can either fix or
wontfix them.
Comment 12 Aleksandr Koltsoff (reporter) 2007-11-26 10:42:53 UTC
/me feels very proud of still having sub 100 bugs that are valid :-).
Comment 13 Juha Tukkinen nokia 2007-11-26 13:13:08 UTC
How well does our platform conform to Freedesktop.org's Desktop Entry
Specification [1]?

We prefix our extra fields with "X-" that is how the spec wants also [2]. So
the main question is where are these X-fields documented (e.g. X-Icon-path,
X-Windows-Icon, W-HildonDesk-ShowInToolbar, X-Osso-Service, X-Osso-Type)?

[1] http://standards.freedesktop.org/desktop-entry-spec/latest/
[2] http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s08.html
Comment 14 Aleksandr Koltsoff (reporter) 2007-11-26 13:32:09 UTC
Also, you might want to check whether exec will now accept parameters as well.
This was the original issue which managed to frustrate quite a lot (i.e.,
command line parameters for the activated executable were just ignored by the
launching process). This should work based on the fd.o spec.

You might also want to document the usage of version in maemo desktop files.
There seems to be some confusion to whether it refers to application version or
the desktop file spec version.

The fd.o spec for reference:
http://standards.freedesktop.org/desktop-entry-spec/latest/

Also, please check the handling of the exec field codes (whether any of them
actually work in maemo).

Anyhow, a separate "maemo spec" document on the desktop file (as found and
supported in maemo) would be very useful. It could then be referenced from the
various howto files instead of each of them having slightly different
usage/meanings for the fields.
Comment 15 Johan Bilien nokia 2007-11-26 14:30:53 UTC
Here are the field supported in hildon-desktop (Chinook):

Type (Should be application)
Icon
Name
Categories (not used on maemo, but used in Ubuntu mobile)
Comment (now unused, was used as second line of text in the startup menu in
Bora).
Exec
NoDisplay (set to true to hide the entry in the menu)
StartupNotify (set to false to disable the startup notification banner)
StartupWMClass (used to override the expected window class name, default to the
binary name)

and some extensions, maemo-specific:
X-Text-Domain (set the L10n domain from which the application name is
translated (with dgettext)
X-Osso-Service (a DBus service name - if specified hildon desktop will try to
call the top_application method on this service rather than execute what is
listed in the Exec field).
Comment 16 Dave Neary maemo.org 2008-05-13 10:41:26 UTC
I will let the desktop team know about this, and in the meantime I will put
what Johan said into the documentation for maemo application
packagers/developers.

Dave.
Comment 17 Andre Klapper maemo.org 2008-06-17 18:05:19 UTC
(removing ancient 2.0 milestone.)
Comment 18 Dave Neary maemo.org 2008-07-01 00:04:43 UTC
This has been hanging around for years, and I really don't know what to do with
it. Closing WONTFIX - if it's of major interest to you, and the answer isn't in
the maemo 4.1 documentation, please re-open with a note.
Comment 19 Dave Neary maemo.org 2008-07-01 00:08:40 UTC
Changing resolution to FIXED - see http://wiki.maemo.org/Desktop_file_format
Comment 20 Eero Tamminen nokia 2008-07-01 09:18:16 UTC
(In reply to comment #18)
> This has been hanging around for years, and I really don't know what to do
> with it. Closing WONTFIX - if it's of major interest to you, and the answer
> isn't in the maemo 4.1 documentation, please re-open with a note.
>
(In reply to comment #19)
> Changing resolution to FIXED - see http://wiki.maemo.org/Desktop_file_format

I don't think it's enough.

It's strangely formatted ("bora", "binary name"?), doesn't document all
the fields (e.g. tell that it's as in upstream spec) and doesn't tell about
the relation to fd.o specification at all:
  http://standards.freedesktop.org/desktop-entry-spec/latest/

Especially things that work on normal Linux desktop and not in maemo
need to be documented, if there still are such things.

I don't think wontfix is acceptable for this bug as .desktop files are
so central in maemo (they specify applications, home applets, TN applets,
SB applets, CP applets, mime-types etc).  This documentation should be
part of official documentation, not wiki.
Comment 21 Quim Gil nokia 2008-07-02 13:33:46 UTC
> This documentation should be part of official documentation, not wiki.
I fact, after looking at the Maemo 4.1 documentation I have found

6.7.3 The .desktop File
http://maemo.org/maemo_release_documentation/maemo4.1.x/node7.html#SECTION00773000000000000000

I'm not a desktop developer but for what I can see it looks like it. If so,
please delete the wiki page. Thanks!
Comment 22 Eero Tamminen nokia 2008-07-02 13:44:44 UTC
(In reply to comment #21)
> > This documentation should be part of official documentation, not wiki.
>
> I fact, after looking at the Maemo 4.1 documentation I have found
> 
> 6.7.3 The .desktop File
> http://maemo.org/maemo_release_documentation/maemo4.1.x/node7.html#SECTION00773000000000000000

This doesn't tell anything about what the fields are supposed to/can have.
Comment 23 Andre Klapper maemo.org 2008-10-30 18:52:10 UTC
Moving Documentation component from maemo.org to Development Platform since the
bugs there refer to official developer documentation and this falls out of the
responsibility of the community.
Sorry for the noise, you can filter your bugmail by searching for this comment.
Comment 24 Andre Klapper maemo.org 2009-04-20 06:38:40 UTC
Removing irritating "Fremantle" Target Milestone - this has been mostly fixed
by 2008-07-01.
Comment 25 Andre Klapper maemo.org 2010-05-17 16:39:59 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.